### Method

# WebKit UserContentFilterStore fetch_identifiers_finish

since: 2.24

#### Declaration [src]

    gchar**
    webkit_user_content_filter_store_fetch_identifiers_finish (
      WebKitUserContentFilterStore* store,
      GAsyncResult* result
    )

#### Description [src]

Finishes an asynchronous fetch of the list of stored filters.

Finishes an asynchronous fetch of the list of identifiers for the stored filters previously started with webkit_user_content_filter_store_fetch_identifiers().

Available since: 2.24

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

#### Return value

Type: An array of `utf8`

A `NULL`-terminated list of filter identifiers.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.